%define	module	Crypt-Random
%define	name	perl-%{module}
%define	version	1.25
%define	release	%mkrel 2

Name:		%{name}
Summary:	%{module} Perl module
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/%{module}-%{version}.tar.bz2
Buildrequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://search.cpan.org/dist/%{module}
Buildarch:	noarch

%description
Crypt::Random is an interface module to the /dev/random device found on most
modern Unix systems. The /dev/random driver gathers environmental noise from
various non-deterministic sources including inter-keyboard timings and
inter-interrupt timings that occur within the operating system environment.
The /dev/random driver maintains an estimate of true randomness in the pool and
decreases it every time random strings are requested for use. When the estimate
goes down to zero, the routine blocks and waits for the occurrence of
non-deterministic events to refresh the pool.
The /dev/random kernel module also provides another interface, /dev/urandom,
that does not wait for the entropy-pool to recharge and returns as many bytes
as requested. /dev/urandom is considerably faster at generation compared to
/dev/random, which should be used only when very high quality randomness is
desired.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes README 
%{_bindir}/*
%{perl_vendorlib}/Crypt/*.pm
%{perl_vendorlib}/Crypt/Random
%{_mandir}/*/*



%changelog
* Mon Jun 25 2007 Buchan Milne <bgmilne@mandriva.org> 1.25-2mdv2008.0
+ Revision: 44157
- Rebuild


* Tue Mar 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.25-1mdk
- 1.25

* Fri Jun 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.23-1mdk
- 1.23

* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-1mdk
- 1.22
- cosmetics

* Mon Aug 18 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.11-4mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%build
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- quiet setup
- cosmetics

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com 1.11-3mdk
- buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.11-2mdk
- rebuild

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- from Daniel Lacroix <dlacroix@erasme.org> :
	- generated by cpan2rpm version 0.1 for Mandrake 9.0

